# $Revision: 1.32 $, $Date: 2010/03/17 11:55:06 $
%define		mainver 0.6
Summary:	Untrusted/encrypted backup using rsync algorithm
Summary(pl.UTF-8):	Wykonywanie szyfrowanych kopii zapasowych przy użyciu algorytmu rsync
Name:		duplicity
Version:	%{mainver}.08b
Release:	2
License:	GPL
Group:		Applications/Archiving
Source0:	http://code.launchpad.net/duplicity/%{mainver}-series/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	f4f4182ab71aa1de80c047bf1e4c7a04
Patch0:		%{name}-pexpect.patch
Patch1:		%{name}-backend-search.patch
URL:		http://www.nongnu.org/duplicity/
BuildRequires:	librsync-devel >= 0.9.6
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	gnupg
Requires:	python >= 2.2
Requires:	python-gnupg >= 0.3.2
Requires:	python-modules
Requires:	python-pexpect >= 2.1
Suggests:	ncftp
Suggests:	python-boto >= 0.9d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Duplicity incrementally backs up files and directory by encrypting
tar-format volumes with GnuPG and uploading them to a remote (or
local) file server. In theory many remote backends are possible; right
now only the local or ssh/scp backend is written. Because duplicity
uses librsync, the incremental archives are space efficient and only
record the parts of files that have changed since the last backup.
Currently duplicity supports deleted files, full Unix permissions,
directories, symbolic links, fifos, etc., but not hard links.

%description -l pl.UTF-8
Duplicity wykonuje przyrostowe kopie zapasowe plików i katalogów
poprzez szyfrowanie archiwów w formacie tar przy pomocy GnuPG i
przesyłanie ich na zdalny (lub lokalny) serwer plików. W teorii można
użyć wiele zdalnych backendów; aktualnie napisane są tylko backendy
lokalny oraz ssh/scp. Ponieważ duplicity używa librsync, przyrostowe
archiwa wydajnie wykorzystują miejsce dzięki zapisywaniu tylko tych
części plików, które zmieniły się od wykonywania poprzedniej kopii.
Aktualnie duplicity obsługuje pliki skasowane, pełny uniksowy system
uprawnień, katalogi, dowiązania symboliczne, nazwane potoki itp. - ale
nie twarde dowiązania.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --optimize=2 --root=$RPM_BUILD_ROOT

# Remove *.py files. We don't package them.
find $RPM_BUILD_ROOT%{py_sitedir}/%{name} -type f -name '*.py' -print0 | xargs -0 rm -f

# Remove %{_datadir}/locale/io/LC_MESSAGES. It's not yet supported.
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/io

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGELOG README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*
%dir %{py_sitedir}/duplicity
%dir %{py_sitedir}/duplicity/backends
%{py_sitedir}/duplicity/*.py[co]
%{py_sitedir}/duplicity/backends/*.py[co]
%attr(755,root,root) %{py_sitedir}/duplicity/*.so
%if "%{pld_release}" != "ac"
%{py_sitedir}/duplicity-*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: duplicity.spec,v $
Revision 1.32  2010/03/17 11:55:06  qwiat
- fixed mistake (BR -> R) mea culpa

Revision 1.31  2010/03/17 11:52:03  qwiat
- updated
- python-pexpect now in Requires:
- adapterized

Revision 1.30  2010/03/11 16:20:43  uzsolt
- 0.6.08a (use mainver macro)
- change url
- backend-search.patch

Revision 1.29  2010/03/11 16:02:25  duddits
- rel. 2
- pexpect.patch: use global module, not a local one

Revision 1.28  2010/03/11 15:44:48  uzsolt
- todo (does not work)
- rel 1.1

Revision 1.27  2010/03/08 20:18:28  duddits
- up to 0.6.08

Revision 1.26  2010/02/25 18:31:11  sparky
- BR: python-modules, rpm-pythonprov

Revision 1.25  2010/02/24 10:16:43  duddits
- up to 0.6.06
- lang macro applied

Revision 1.24  2009/09/01 08:46:05  qwiat
- update

Revision 1.23  2009/03/29 15:19:32  duddits
- up to 0.5.13

Revision 1.22  2009/03/13 21:45:40  hawk
- release 2

Revision 1.21  2009/02/25 23:33:22  mmazur
- S: ncftp

Revision 1.20  2009/02/25 21:07:41  duddits
- md5sum properly updated

Revision 1.19  2009/02/25 21:01:54  mmazur
- the thing doesn't actually start without python-gnupg; changed S to R

Revision 1.18  2009/02/25 20:32:00  mmazur
- up to 0.5.09

Revision 1.17  2009/02/13 22:10:45  duddits
- up to 0.5.08
- intl support still sucks
- more %files

Revision 1.16  2009/01/17 18:43:30  duddits
- rel. 2
- find_lang disabled since io locale is not yet (?) supported, consider
turning it back on when appropriate
- BR: librsync-devel >= 0.9.6

Revision 1.15  2009/01/14 22:00:31  duddits
- up to 0.5.06
- some cleaning
- %find_lang macro added
- more %files

Revision 1.14  2008/08/04 11:37:59  zbyniu
- up to 0.4.11

Revision 1.13  2008-04-25 16:52:28  aredridel
- add suggests

Revision 1.12  2008-02-07 09:43:07  ankry
- unix -> Unix

Revision 1.11  2007-12-27 21:55:01  zbyniu
- up to 0.4.8

Revision 1.10  2007-02-12 21:23:53  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.8  2005/03/14 20:25:24  qboosh
- .so perms

Revision 1.7  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.6  2004/07/28 08:03:13  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.5  2003/11/30 17:55:30  adamg
- updated to 0.4.1

Revision 1.4  2003/05/26 16:24:55  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:46:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/12/01 22:33:05  qboosh
- pl description

Revision 1.1  2002/12/01 12:33:47  areq
- init PLD spec
